## Class TDataGatewayResultEventParameter

Description

TDataGatewayResultEventParameter contains the TDbCommand executed and the resulting data returned from the database. The data can be changed by changing the setResult property.

- since: 3.1
- version: $Id$
- author: Wei Zhuo <weizho[at]gmail[dot]com>

Located in /Data/DataGateway/TDataGatewayCommand.php (line 504)

    TComponent
       |
       --TEventParameter
          |
          --TDataGatewayResultEventParameter

Method Summary
TDataGatewayResultEventParameter __construct (mixed $command, mixed $result)
TDbCommand getCommand ()
mixed getResult ()
void setResult (mixed $value)
Methods
Constructor __construct (line 509)

- access: public

TDataGatewayResultEventParameter __construct (mixed $command, mixed $result)
getCommand (line 518)

- return: database command executed.
- access: public

TDbCommand getCommand ()
getResult (line 526)

- return: result returned from executing the command.
- access: public

mixed getResult ()
setResult (line 534)

- access: public

void setResult (mixed $value)

- mixed $value: change the result returned by the gateway.

#### Inherited Methods

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:34:22 -0400 by phpDocumentor 1.3.0RC4